<!DOCTYPE html>
<!-- Generated by pkgdown: do not edit by hand --><html lang="en"><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8"><meta charset="utf-8"><meta http-equiv="X-UA-Compatible" content="IE=edge"><meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no"><title>Apply common layout and config to Plotly chart — plotly_mod • rdb.report</title><script src="../lightswitch.js"></script><script src="../deps/jquery-3.6.0/jquery-3.6.0.min.js"></script><meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no"><link href="../deps/bootstrap-5.3.1/bootstrap.min.css" rel="stylesheet"><script src="../deps/bootstrap-5.3.1/bootstrap.bundle.min.js"></script><link href="../deps/font-awesome-6.5.2/css/all.min.css" rel="stylesheet"><link href="../deps/font-awesome-6.5.2/css/v4-shims.min.css" rel="stylesheet"><script src="../deps/headroom-0.11.0/headroom.min.js"></script><script src="../deps/headroom-0.11.0/jQuery.headroom.min.js"></script><script src="../deps/bootstrap-toc-1.0.1/bootstrap-toc.min.js"></script><script src="../deps/clipboard.js-2.0.11/clipboard.min.js"></script><script src="../deps/search-1.0.0/autocomplete.jquery.min.js"></script><script src="../deps/search-1.0.0/fuse.min.js"></script><script src="../deps/search-1.0.0/mark.min.js"></script><!-- pkgdown --><script src="../pkgdown.js"></script><meta property="og:title" content="Apply common layout and config to Plotly chart — plotly_mod"><meta name="description" content="Applies our common layout and configuration options to a Plotly chart."><meta property="og:description" content="Applies our common layout and configuration options to a Plotly chart."><meta name="twitter:card" content="summary"><meta name="twitter:creator" content="@2BSalim"><meta name="twitter:site" content="@2BSalim"><meta name="robots" content="noindex"><!-- dependencies from examples --><script src="libs/htmlwidgets-1.6.4/htmlwidgets.js"></script><script src="libs/plotly-binding-4.10.4.9000/plotly.js"></script><script src="libs/typedarray-0.1/typedarray.min.js"></script><link href="libs/crosstalk-1.2.1/css/crosstalk.min.css" rel="stylesheet"><script src="libs/crosstalk-1.2.1/js/crosstalk.min.js"></script><link href="libs/plotly-htmlwidgets-css-2.11.1/plotly-htmlwidgets.css" rel="stylesheet"><script src="libs/plotly-main-2.11.1/plotly-latest.min.js"></script><script src="https://rpkg.dev/counter-dev.min.js" data-id="4c4963fe-9fcf-4d81-95bb-2135e114b85b" data-utcoffset="1"></script></head><body>
    <a href="#main" class="visually-hidden-focusable">Skip to contents</a>


    <nav class="navbar navbar-expand-lg fixed-top " aria-label="Site navigation"><div class="container">

    <a class="navbar-brand me-2" href="../index.html">rdb.report</a>

    <small class="nav-text text-danger me-auto" data-bs-toggle="tooltip" data-bs-placement="bottom" title="In-development version">0.0.9016</small>


    <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbar" aria-controls="navbar" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>

    <div id="navbar" class="collapse navbar-collapse ms-3">
      <ul class="navbar-nav me-auto"><li class="nav-item"><a class="nav-link" href="../articles/rdb-report.html">Get started</a></li>
<li class="active nav-item"><a class="nav-link" href="../reference/index.html">Reference</a></li>
      </ul><ul class="navbar-nav"><li class="nav-item"><form class="form-inline" role="search">
 <input class="form-control" type="search" name="search-input" id="search-input" autocomplete="off" aria-label="Search site" placeholder="Search for" data-search-index="../search.json"></form></li>
<li class="nav-item"><a class="external-link nav-link" href="https://gitlab.com/zdaarau/rpkgs/rdb.report/" aria-label="GitLab"><span class="fa fab fa-gitlab fa-lg"></span></a></li>
<li class="nav-item dropdown">
  <button class="nav-link dropdown-toggle" type="button" id="dropdown-lightswitch" data-bs-toggle="dropdown" aria-expanded="false" aria-haspopup="true" aria-label="Light switch"><span class="fa fa-sun"></span></button>
  <ul class="dropdown-menu dropdown-menu-end" aria-labelledby="dropdown-lightswitch"><li><button class="dropdown-item" data-bs-theme-value="light"><span class="fa fa-sun"></span> Light</button></li>
    <li><button class="dropdown-item" data-bs-theme-value="dark"><span class="fa fa-moon"></span> Dark</button></li>
    <li><button class="dropdown-item" data-bs-theme-value="auto"><span class="fa fa-adjust"></span> Auto</button></li>
  </ul></li>
      </ul></div>


  </div>
</nav><div class="container template-reference-topic">
<div class="row">
  <main id="main" class="col-md-9"><div class="page-header">

      <h1>Apply common layout and config to Plotly chart</h1>
      <small class="dont-index">Source: <a href="https://gitlab.com/zdaarau/rpkgs/rdb.report/blob/HEAD/R/rdb.report.gen.R" class="external-link"><code>R/rdb.report.gen.R</code></a></small>
      <div class="d-none name"><code>plotly_mod.Rd</code></div>
    </div>

    <div class="ref-description section level2">
    <p>Applies our common layout and configuration options to a Plotly chart.</p>
    </div>

    <div class="section level2">
    <h2 id="ref-usage">Usage<a class="anchor" aria-label="anchor" href="#ref-usage"></a></h2>
    <div class="sourceCode"><pre class="sourceCode r"><code><span><span class="fu">plotly_mod</span><span class="op">(</span><span class="va">p</span><span class="op">)</span></span></code></pre></div>
    </div>

    <div class="section level2">
    <h2 id="arguments">Arguments<a class="anchor" aria-label="anchor" href="#arguments"></a></h2>


<dl><dt id="arg-p">p<a class="anchor" aria-label="anchor" href="#arg-p"></a></dt>
<dd><p><a href="https://rdrr.io/pkg/plotly/man/plot_ly.html" class="external-link">Plotly object</a> to modify.</p></dd>

</dl></div>
    <div class="section level2">
    <h2 id="value">Value<a class="anchor" aria-label="anchor" href="#value"></a></h2>
    <p>A <a href="https://rdrr.io/pkg/plotly/man/plot_ly.html" class="external-link">plotly object</a>.</p>
    </div>
    <div class="section level2">
    <h2 id="see-also">See also<a class="anchor" aria-label="anchor" href="#see-also"></a></h2>
    <div class="dont-index"><p>Other plotting functions and objects:
<code><a href="plot_histogram_rfrnds.html">plot_histogram_rfrnds</a>()</code></p></div>
    </div>

    <div class="section level2">
    <h2 id="ref-examples">Examples<a class="anchor" aria-label="anchor" href="#ref-examples"></a></h2>
    <div class="sourceCode"><pre class="sourceCode r"><code><span class="r-in"><span><span class="fu">rdb</span><span class="fu">::</span><span class="fu"><a href="https://rdb.rpkg.dev/reference/rfrnds.html" class="external-link">rfrnds</a></span><span class="op">(</span>quiet <span class="op">=</span> <span class="cn">TRUE</span><span class="op">)</span> <span class="op">|&gt;</span></span></span>
<span class="r-in"><span>  <span class="fu">rdb</span><span class="fu">::</span><span class="fu"><a href="https://rdb.rpkg.dev/reference/plot_topic_segmentation.html" class="external-link">plot_topic_segmentation</a></span><span class="op">(</span>method <span class="op">=</span> <span class="st">"per_rfrnd"</span><span class="op">)</span> <span class="op">|&gt;</span></span></span>
<span class="r-in"><span>  <span class="fu">rdb.report</span><span class="fu">::</span><span class="fu">plotly_mod</span><span class="op">(</span><span class="op">)</span></span></span>
<div id="htmlwidget-36aa3d2a04d42bbc2145" style="width:700px;height:432.632880098888px;" class="plotly html-widget"></div>
<script type="application/json" data-for="htmlwidget-36aa3d2a04d42bbc2145">{"x":{"visdat":{"trace_0":["function () ","plotlyVisDat"]},"cur_data":"trace_0","attrs":{"trace_0":{"labels":{},"parents":{},"ids":{},"values":{},"branchvalues":"total","insidetextorientation":"radial","alpha_stroke":1,"sizes":[10,100],"spans":[1,20],"type":"sunburst"}},"layout":{"margin":{"b":40,"l":60,"t":25,"r":10},"font":{"family":"\"Alegreya Sans\", sans-serif","size":14},"hoverlabel":{"font":{"family":"\"{font_family_base}\", {font_family_base_fallback}"}},"paper_bgcolor":"#00000000","plot_bgcolor":"#00000000","xaxis":{"gridcolor":"#d9d9d9"},"yaxis":{"gridcolor":"#d9d9d9"},"hovermode":"closest","showlegend":false},"source":"A","config":{"modeBarButtonsToAdd":["hoverclosest","hovercompare"],"showSendToCloud":false,"displayModeBar":false,"displaylogo":false,"showLink":false,"scrollZoom":false,"doubleClick":"reset+autosize"},"data":[{"labels":["agriculture","culture, religion and media","economy","education and research","energy","environment and living space","foreign policy","public finance","security policy","social policy","state organisation","transport and infrastructure","European policy","Swiss abroad","agricultural policy","air transport","alternative energy","army","bilateral treaties","budget cuts and remediation measures","citizens' rights","crop production","cultural policy","development cooperation","diplomacy","economic policy","education policy","employment","energy policy","environment","federalism","finance","financial system","fishing, hunting and pets","foreign trade policy","forestry","health","housing","hydro-electric power","institutions","international organisations","language policy","legal system","livestock","media and communication","national economic supply","national identity","nuclear energy","oil and gas","political system","position on foreign policy","post","professional and vocational education","public expenditure","public security","rail transport","religion, churches","research","road transport","schools","shipping","social groups","social security","soil","sport","taxation","telecommunications","tourism and leisure","transport policy","universities","EEA","EFTA","EU","UN","abolition of the armed forces","addictive substances","air quality control","animal protection","animal testing","armed forces in general","arms","banks, stock exchange, insurance","building of residential housing, property ownership","children and young people","citizens' initiatives","citizenship","civil protection","compensation for loss of earnings for persons on military service or civil protection duty","competition policy","conscientious objection, civilian service","constitution","consumer protection","courts","criminal law","customs","data protection","direct taxation","disability insurance","division of tasks","electoral system","employment conditions","employment policy","environmental policy","family policy","freedom of the media","fundamental rights","genetic engineering","goods traffic","government, administration","health and accident insurance","health policy","heavy traffic","homosexuals","hospitality","immigration policy","independence","indirect taxation","industrial relations","intergovernmental relations","international deployment","international law","land law","legislative procedure","lottery and gambling","maternity insurance","media policy","medical research and technology","medicines","military facilities","military organisation","military training","monetary policy","national bank","neutrality","noise protection","occupational benefits provision","other European organisations","other international organisations","parliament","passenger traffic","pension insurance","persons with disabilities","police","press","pricing policy","private law","procedure for constitutional reform","protection of nature and cultural heritage","radio, television and electronic media","referendum","refugees","reproductive medicine","road construction","senior citizens","short-term economic policy","soil protection","spatial planning","state security","status of women","structural policy","tax policy","tax system","tenancy issues","territorial questions","tourism","transit traffic","unemployment insurance","urban transport","voting rights","waste","water pollution control","welfare","working hours","<i>not defined<\/i>","<i>not defined<\/i>","<i>not defined<\/i>","<i>not defined<\/i>","<i>not defined<\/i>","<i>not defined<\/i>","<i>not defined<\/i>","<i>not defined<\/i>","<i>not defined<\/i>","<i>not defined<\/i>","<i>not defined<\/i>","<i>not defined<\/i>","<i>not defined<\/i>","<i>not defined<\/i>","<i>not defined<\/i>","<i>not defined<\/i>","<i>not defined<\/i>","<i>not defined<\/i>","<i>not defined<\/i>","<i>not defined<\/i>","<i>not defined<\/i>","<i>not defined<\/i>","<i>not defined<\/i>","<i>not defined<\/i>","<i>not defined<\/i>","<i>not defined<\/i>","<i>not defined<\/i>","<i>not defined<\/i>","<i>not defined<\/i>","<i>not defined<\/i>","<i>not defined<\/i>","<i>not defined<\/i>","<i>not defined<\/i>","<i>not defined<\/i>","<i>not defined<\/i>","<i>not defined<\/i>","<i>not defined<\/i>","<i>not defined<\/i>","<i>not defined<\/i>"],"parents":["","","","","","","","","","","","","foreign policy","foreign policy","agriculture","transport and infrastructure","energy","security policy","foreign policy","public finance","state organisation","agriculture","culture, religion and media","foreign policy","foreign policy","economy","education and research","economy","energy","environment and living space","state organisation","economy","public finance","agriculture","foreign policy","agriculture","social policy","environment and living space","energy","state organisation","foreign policy","culture, religion and media","state organisation","agriculture","culture, religion and media","security policy","state organisation","energy","energy","state organisation","foreign policy","transport and infrastructure","education and research","public finance","security policy","transport and infrastructure","culture, religion and media","education and research","transport and infrastructure","education and research","transport and infrastructure","social policy","social policy","environment and living space","culture, religion and media","public finance","transport and infrastructure","economy","transport and infrastructure","education and research","European policy","European policy","European policy","international organisations","army","health","environment","environment","research","army","army","finance","housing","social groups","citizens' rights","legal system","public security","social security","economic policy","army","political system","economic policy","institutions","legal system","foreign trade policy","legal system","taxation","social security","federalism","political system","employment","employment","environment","social groups","media and communication","legal system","research","rail transport","institutions","social security","health","road transport","social groups","tourism and leisure","social groups","position on foreign policy","taxation","employment","federalism","army","legal system","soil","political system","tourism and leisure","social security","media and communication","health","health","army","army","army","finance","institutions","position on foreign policy","environment","social security","European policy","international organisations","institutions","rail transport","social security","social groups","public security","media and communication","economic policy","legal system","political system","environment","media and communication","citizens' rights","social groups","health","road transport","social groups","economic policy","environment","soil","public security","social groups","economic policy","taxation","taxation","housing","federalism","tourism and leisure","transport policy","social security","transport policy","citizens' rights","environment","environment","social security","employment","European policy","agriculture","army","citizens' rights","culture, religion and media","economic policy","economy","education and research","employment","energy","environment","environment and living space","federalism","finance","foreign policy","foreign trade policy","health","housing","institutions","international organisations","legal system","media and communication","political system","position on foreign policy","public finance","public security","rail transport","research","road transport","security policy","social groups","social policy","social security","soil","state organisation","taxation","tourism and leisure","transport and infrastructure","transport policy"],"ids":["agriculture","culture, religion and media","economy","education and research","energy","environment and living space","foreign policy","public finance","security policy","social policy","state organisation","transport and infrastructure","European policy","Swiss abroad","agricultural policy","air transport","alternative energy","army","bilateral treaties","budget cuts and remediation measures","citizens' rights","crop production","cultural policy","development cooperation","diplomacy","economic policy","education policy","employment","energy policy","environment","federalism","finance","financial system","fishing, hunting and pets","foreign trade policy","forestry","health","housing","hydro-electric power","institutions","international organisations","language policy","legal system","livestock","media and communication","national economic supply","national identity","nuclear energy","oil and gas","political system","position on foreign policy","post","professional and vocational education","public expenditure","public security","rail transport","religion, churches","research","road transport","schools","shipping","social groups","social security","soil","sport","taxation","telecommunications","tourism and leisure","transport policy","universities","EEA","EFTA","EU","UN","abolition of the armed forces","addictive substances","air quality control","animal protection","animal testing","armed forces in general","arms","banks, stock exchange, insurance","building of residential housing, property ownership","children and young people","citizens' initiatives","citizenship","civil protection","compensation for loss of earnings for persons on military service or civil protection duty","competition policy","conscientious objection, civilian service","constitution","consumer protection","courts","criminal law","customs","data protection","direct taxation","disability insurance","division of tasks","electoral system","employment conditions","employment policy","environmental policy","family policy","freedom of the media","fundamental rights","genetic engineering","goods traffic","government, administration","health and accident insurance","health policy","heavy traffic","homosexuals","hospitality","immigration policy","independence","indirect taxation","industrial relations","intergovernmental relations","international deployment","international law","land law","legislative procedure","lottery and gambling","maternity insurance","media policy","medical research and technology","medicines","military facilities","military organisation","military training","monetary policy","national bank","neutrality","noise protection","occupational benefits provision","other European organisations","other international organisations","parliament","passenger traffic","pension insurance","persons with disabilities","police","press","pricing policy","private law","procedure for constitutional reform","protection of nature and cultural heritage","radio, television and electronic media","referendum","refugees","reproductive medicine","road construction","senior citizens","short-term economic policy","soil protection","spatial planning","state security","status of women","structural policy","tax policy","tax system","tenancy issues","territorial questions","tourism","transit traffic","unemployment insurance","urban transport","voting rights","waste","water pollution control","welfare","working hours","NA_European policy","NA_agriculture","NA_army","NA_citizens' rights","NA_culture, religion and media","NA_economic policy","NA_economy","NA_education and research","NA_employment","NA_energy","NA_environment","NA_environment and living space","NA_federalism","NA_finance","NA_foreign policy","NA_foreign trade policy","NA_health","NA_housing","NA_institutions","NA_international organisations","NA_legal system","NA_media and communication","NA_political system","NA_position on foreign policy","NA_public finance","NA_public security","NA_rail transport","NA_research","NA_road transport","NA_security policy","NA_social groups","NA_social policy","NA_social security","NA_soil","NA_state organisation","NA_taxation","NA_tourism and leisure","NA_transport and infrastructure","NA_transport policy"],"values":[171,200.33333333333334,689.66666666666663,629.33333333333326,174.83333333333334,825,165.16666666666666,1114.6666666666667,272.83333333333331,1439.8333333333333,3688,780.33333333333337,56.666666666666664,3.1666666666666665,51,25,18,65.333333333333329,19.5,64.666666666666671,399.16666666666669,12.833333333333334,63.666666666666664,3.833333333333333,3,186.16666666666666,204.33333333333331,257.83333333333331,88.166666666666671,367.33333333333331,374.5,104,33.833333333333336,48.333333333333336,9.5,25.833333333333332,553.33333333333337,293.83333333333331,14.166666666666666,1029.1666666666667,19.5,14.666666666666666,511.66666666666669,16.166666666666668,35.833333333333336,7.5,390.83333333333331,41.5,5.833333333333333,961.5,38,3.5,60.166666666666664,371.66666666666669,192.33333333333334,73.5,48.5,18.833333333333332,279.5,274.5,25.833333333333332,545.66666666666663,318.66666666666669,132.83333333333334,30.166666666666668,595,9,113.16666666666667,179.66666666666666,58.166666666666664,3.3333333333333335,0.5,43.5,5.5,4.5,159,10,46.5,2.1666666666666665,7.833333333333333,16,72.333333333333329,121.66666666666667,221,62.333333333333336,51.333333333333336,61.5,0.33333333333333331,17,6.5,536,18,206.66666666666666,126.16666666666667,3.5,22.833333333333332,156.5,20.833333333333332,55.5,240.33333333333334,123,31.5,94.333333333333329,99.166666666666671,1.8333333333333333,94.333333333333329,4.666666666666667,2.5,471.33333333333331,78.166666666666671,213,2.6666666666666665,15.833333333333334,31.833333333333332,67.166666666666671,29.666666666666668,42.833333333333336,4.166666666666667,138,3.5,1.3333333333333333,42.333333333333336,38.166666666666664,42.666666666666664,3.833333333333333,7.5,7.333333333333333,96.666666666666671,9.8333333333333339,5.5,4.5,15.166666666666666,7.833333333333333,0.33333333333333331,14.5,6.166666666666667,2.5,8.8333333333333339,244.83333333333334,18,74,28.166666666666668,81.666666666666671,2,11.333333333333334,134.66666666666666,59,75,15.833333333333334,52.666666666666664,15.5,9.3333333333333339,119,46,10,18.5,80.333333333333329,12.166666666666666,43.833333333333336,67.833333333333329,303,29.833333333333332,56.166666666666664,139.33333333333334,27,11.333333333333334,39.833333333333336,27.333333333333332,204.66666666666666,20.833333333333332,43,66.833333333333329,56.666666666666664,6.8333333333333286,16.833333333333343,7.1666666666666643,79.500000000000057,7.5,62,28.5,13.333333333333258,42.499999999999972,7.1666666666666856,44.666666666666629,31,41.666666666666629,16.5,12,6,68.000000000000057,115.99999999999997,98.500000000000114,5.1666666666666661,81,8.6666666666666679,88,8,49.5,37,53,11.999999999999998,157.83333333333331,7.6666666666666288,9,22.166666666666515,28.666666666666686,10.166666666666686,21.166666666666515,62.833333333333371,11.666666666666671,184.33333333333337,141],"branchvalues":"total","insidetextorientation":"radial","type":"sunburst","marker":{"color":"rgba(31,119,180,1)","line":{"color":"rgba(0,0,0,0)"}},"frame":null}],"highlight":{"on":"plotly_click","persistent":false,"dynamic":false,"selectize":false,"opacityDim":0.20000000000000001,"selected":{"opacity":1},"debounce":0},"shinyEvents":["plotly_hover","plotly_click","plotly_selected","plotly_relayout","plotly_brushed","plotly_brushing","plotly_clickannotation","plotly_doubleclick","plotly_deselect","plotly_afterplot","plotly_sunburstclick"],"base_url":"https://plot.ly"},"evals":[],"jsHooks":[]}</script></code></pre></div>
    </div>
  </main><aside class="col-md-3"><nav id="toc" aria-label="Table of contents"><h2>On this page</h2>
    </nav></aside></div>


    <footer><div class="pkgdown-footer-left">
  <p>Developed by Salim Brüggemann, Uwe Serdült.</p>
</div>

<div class="pkgdown-footer-right">
  <p>Site built with <a href="https://pkgdown.r-lib.org/" class="external-link">pkgdown</a> 2.1.1.9000.</p>
</div>

    </footer></div>





  </body></html>

